#ifndef __OBJECT_BASE_H_
#define __OBJECT_BASE_H_

#include <ode/ode.h>


class ObjectBase
{
protected:
	dBodyID body;
	dGeomID geom;

public:
	virtual ~ObjectBase();
	virtual void render() const;
	void setPosition(dReal x, dReal y, dReal z);

protected:
	virtual void renderInLocalFrame() const = 0;
};

#endif