#ifndef __SPHERE_H_
#define __SPHERE_H_


#include <ode/ode.h>
#include "ObjectBase.h"

class Sphere : public ObjectBase
{
private:
	GLfloat color[3];
	GLuint theSphere;
	dReal  radius;

public:
	Sphere( dWorldID world, dSpaceID space, dReal radius, dReal mass);

	void setColor(GLfloat r, GLfloat g, GLfloat b);

protected:
	void renderInLocalFrame() const;

	void init();
	void draw(GLfloat r, int lats, int longs);
};

#endif